综合( 右侧选择分类 )
android

升级到Android Studio 3.0 第三方包 初始化crash,如xutils, universal-image-loader, RongIM等

今天在开发的时候,从Android Studio2.3 升级到 Android Studio3.0的时候,在低版本机器(如:android4.4 api=19)初始化第三方包的时候,crash, 如xutils, universal-image-loader, RongIM等,但是在5.0 之后都可以正常运行;如下的错误日志: java.lang.NoClassDefFoundError:
2568 人浏览
ziyouxia

在Mac OS X 下配置Android NDK(配置环境变量)

1 . 下载NDK,地址:http://developer.android.com/tools/sdk/ndk/index.h...2 . 解压,解压得到的文件夹可以移动到其他文件夹,接下来把它的路径加入到环境变量里就行了3 . 在Launchpad中打开terminal(终端)4 . 输入 vim ~/.bash_profile,回车5 . 按英文键 i 进入编辑模式,在里面添加 export
2543 人浏览
hangge

SpringBoot - @Configuration、@Bean注解的使用详解(配置类的实现)

@Bean(initMethod="init", destroyMethod="destroy") public MyBean myBean() { return new MyBean(); }一、基本用法1,基本介绍Spring Boot 推荐使用 java 配置完全代替 XML 配置,java 配置是通过 @Configration 和 @Bean 注解实现的。二者作用如下:@C
2531 人浏览
android

Android Studio将module变为library

我们在开发的时候如在在Android Studio中的module打包成library方便模块引用与团队共享,我在这里有一个小案例演示一下案例:开发一个LogUtil日志打印类(只做演示,开发中没太大意义)如下图,一个工程中有两个module我们现在要把mylib module转化成library第一、先修改mylib module下的build.gradle文件里的 apply plugin:
2530 人浏览
android

Android 中向您的项目中添加ndk代码( C 和 C++ )-- 翻译

搭配使用 Android Studio 2.2 或更高版本与 Android Plugin for Gradle 版本 2.2.0 或更高版本时,您可以将 C 和 C++ 代码编译到 Gradle 与 APK 一起打包的原生库中,将这类代码添加到您的应用中。您的 Java 代码随后可以通过 Java 原生接口 (JNI) 调用您的原生库中的函数。如果您想要详细了解如何使用 JNI 框架,请阅读 A
2530 人浏览
android

Android-res/raw/assets存放资源的限制和读取方式

res/raw和assets的相同点两者目录下的文件在打包后会原封不动的保存在apk包中,不会被编译成二进制文件。res/raw和assets的不同点1. res/raw中的文件会被映射到R.java文件中,访问的时候直接使用资源ID即R.id.filename;assets文件夹下的文件不会被映射到R.java中,访问的时候需要使用AssetManager类。2. res/raw文件下不可以新建
2511 人浏览
android

安装Android Studio 3.0 预览版

转发链接地址如果您希望抢先体验下一版 Android Studio,您不必替换掉现有的稳定版。 您可以在安装有稳定版的同时安装 Android Studio 预览版并在这两个版本中开发同一应用。之所以能够实现这一点,是因为 Android Studio 将每个安装版本的设置存储在该版本特定的文件夹中。 例如,如果您在 Windows 上安装了 Android Studio 2.3 稳定版和 And
2510 人浏览
android

MAC 10.12系统环境下无法打开360加固助手的解决

(1)系统环境:MAC 10.12.1(2)问题详情从360官方下载了加固助手之后,双击解压文件,直接双击 图标 ,程序并没有运行起来,没有弹出登录界面 , 只是图标闪动了一下然后,尝试按住Ctrl ,然后单击图标,从列表菜单中选择 “打开”,依旧是没有弹出登录界面。然后,又尝试从“系统偏好设置”中修改安全等级,but ,依旧没有弹出登录界面。没有弹出登录界面,没法登录,自然也就没法使用加固 、打
2498 人浏览
hangge

解决 Mac OS 下罗技鼠标滚轮无法使用问题(滚动失效)

1,问题描述之前的罗技MX Master鼠标在Mac系统下用的好好的,最近发现滚轮失效。但鼠标移动、左右键点击却又都没问题。2,问题原因可能是罗技的驱动加载有问题,也可能是系统升级后部分配置丢失,导致驱动无法加载。3,解决办法(1)依次打开“系统偏好设置” ->“安全性与隐私” -> “隐私” -> “辅助功能”(2)找到Logitech游戏软件、Logitech options
2485 人浏览
android

Android 判断Activity是否在最顶层

在Android开发的过程中,有时候要判断某个Activity时候再最上层,这里有个方法,大家可以参考 public static boolean isTopActivity(Activity activity) { ActivityManager am = (ActivityManager)activity.getSystemService(ACTIVITY_SERVICE);
2480 人浏览
php

在阿里云 CentOS 服务器(ECS)上搭建 nginx + mysql + php-fpm 环境

阿里云的云服务器(ECS)可以选择多种操作系统,打算用它运行 Drupal 或者 WordPress ,你最好选择 Linux 系统,这篇文章的演示是基于阿里云的 CentOS 操作系统的服务器。我们在上面搭建一个 nginx + mysql + php-fpm 的环境,这就是常说的 LEMP(Linux NGINX MySQL / MariaDB PHP) 。我们不过多解释什么是什么,而是着重讲
2479 人浏览
php

Yii3 相比与 Yii2 做了哪些改动?

2018年6月10日发布了Yii框架3.0.0 更新的第一个alfa版本Yii 3.0中的新功能包 “ezyang/htmlpurifier” 已经成为可选项,默认情况下不会安装移除 Yii 自动加载器以支持 Composer 的 PSR-4 实现删除了特定于 HHVM 的代码在 ApcCache 中删除了 APC 支持, APCu 像以前一样工作当覆盖默认值时,会更改yii\grid\DataC
2456 人浏览
android

android canvas drawText 换行 TextPaint

用android的canvas drawText的时候,即使text包行\r\n,画出来的仍然不会换行。这时需要用到TextPainTextPaint textPaint = new TextPaint(); textPaint.setARGB(0xFF, 0, 0, 0); textPaint.setTextSize(20.0F); textPaint.setAntiAl
2453 人浏览
hangge

Vue.js - 解决npm run build报错(TypeError: Cannot read property 'compilation' of undefined vue)

1,问题描述最近发现使用npm run build命令打包项目一直失败。报如下错误:MacBook:eciothangge$npmrunbuild >eciot@1.0.0build/Volumes/BOOTCAMP/Vue/eciot >nodebuild/build.js ⠋buildingforproduction.../Volumes/BOOTCAMP/Vue/eciot
2448 人浏览
php

FTP无法连接“无法读取套接字ETIMEDOUT”原因很无语

今天有同学咨询我FTP连不上,换用几个FTP软件,Windows和Mac都试过了,依然无法连接。报错信息如图。阿里云的虚拟主机用过比较多,FileZilla FTP软件也经常用,不该出这种问题。另外也不需要设置被动模式之类的。后来,让笔记本电脑断开小区宽带,换用手机热点FTP连接和使用正常。“无法读取套接字ETIMEDOUT”这条报错信息不常见,我个人感觉也许是一些小区宽带运营商,为了降低成本,使
2448 人浏览
php

中控考勤机二次开发小记

最近公司更换了一批考勤机,但是居然无法上传和下载指纹等数据。我们的系统用的是广东一家人力资源系统,问了一下,说他们的系统不支持最新中控更新了固件的考勤机。我KAO了他NN个熊,不支持居然?特别是还要收好几千大洋的费用,问题我们还交着服务费呢?要不就在他们哪买卡机,免费给我们升级,哪还是一样吗?他们卖的考勤机可不是市场上的价格,是贵 一半的价格。好吧, 其实要钱也不是要我给,但公司也不愿意给啊,这样
2447 人浏览
android

android——实现多语言支持

我们知道,建好一个android 的项目后,默认的res下面 有layout、values、drawable等目录。这些都是程序默认的资源文件目录,如果要实现多语言版本的话,我们就要添加要实现语言的对应的资源文件。步骤如下:1)创建本地文件夹和字符串文件 为了支持更多语言,在res/中创建其他的values扩展的文件夹,并在文件夹名后加上一个横线和国家的ISO码。例如,values-es/就是
2444 人浏览
linux

在阿里云CentOS服务器(ECS)上搭建nginx+mysql +php-fpm 环境(转)

阿里云的云服务器(ECS)可以选择多种操作系统,打算用它运行 Drupal 或者 WordPress ,你最好选择 Linux 系统,这篇文章的演示是基于阿里云的 CentOS 操作系统的服务器。我们在上面搭建一个 nginx + MySQL + PHP-fpm 的环境,这就是常说的 LEMP(Linux NGINX MySQL / MariaDB PHP) 。我们不过多解释什么是什么,而是着重讲
2432 人浏览
java

mac苹果系统安装升级JDK1.8

mac系统默认会安装jdk 1.6或者 jdk 1.7,但某些框架/应用要求jdk1.7甚至jdk1.8才能运行,所以需要配置系统默认jdk,小编先介绍升级jdk1.7的步骤,升级jdk1.8类似1,下载并安装需要的jdk下载地址:http://www.oracle.com/technetwork/java/javase/down...2,安装成功后JDK7默认的路径在: /Library/Jav
2404 人浏览
kotlin

objc[8715]: Class JavaLaunchHelper is implemented in both....

在Mac上,升级IntelliJ Idea 2017.01后,运行的时候出现了一个红色的警告: objc[8715]: Class JavaLaunchHelper is implemented in both /Library/Java/JavaVirtualMachines/jdk1.8.0_131.jdk/Contents/Home/bin/java (0x102c804c0) and /
2394 人浏览